Package de.willuhn.jameica.hbci.synchronize

# Class SynchronizeEngine

java.lang.Object
de.willuhn.jameica.hbci.synchronize.SynchronizeEngine

@Lifecycle(CONTEXT) public class SynchronizeEngine extends Object
Basis-Klasse fuer den Zugriff auf Synchronisierungsaufgaben bei der Bank.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`STATUS`
Queue, an die der aktuelle Prozess-Status der Gesamt-Synchronisierung (RUNNING, ERROR, DONE, CANCEL) geschickt wird.

## Constructor Summary

Constructors
Constructor
Description
`SynchronizeEngine()`

## Method Summary

Modifier and Type
Method
Description
`SynchronizeBackend`
`getBackend(Konto konto)`
Liefert das im Konto hinterlegte Backend.
`SynchronizeBackend`
`getBackend(Class<? extends SynchronizeJob> type, Konto konto)`
Liefert ein passendes Backend fuer den angegebenen Job.
`List<SynchronizeBackend>`
`getBackends()`
Liefert eine Liste der gefundenen Backends.
`SynchronizeBackend`
`getPrimary()`
Liefert das Primaer-Backend.
`boolean`
`supports(Class<? extends SynchronizeJob> type, Konto konto)`
Liefert true, wenn ein Backend den angegebenen Job-Typ fuer das angegebene Konto unterstuetzt.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STATUS

public static final String STATUS
Queue, an die der aktuelle Prozess-Status der Gesamt-Synchronisierung (RUNNING, ERROR, DONE, CANCEL) geschickt wird.

See Also:
  - Constant Field Values

## Constructor Details

### SynchronizeEngine

public SynchronizeEngine()

## Method Details

### getBackends

public List<SynchronizeBackend> getBackends()
Liefert eine Liste der gefundenen Backends.

Returns:
  Liste der Backends.

### getBackend

public SynchronizeBackend getBackend(Konto konto)
Liefert das im Konto hinterlegte Backend.

Parameters:
  `konto` - das Konto.
Returns:
  das angegebene Backend oder NULL, wenn keines angegeben ist oder das angegebene nicht gefunden wurde.

### getPrimary

public SynchronizeBackend getPrimary()
Liefert das Primaer-Backend.

Returns:
  das Primaer-Backend.

### getBackend

public SynchronizeBackend getBackend(Class<? extends SynchronizeJob> type, Konto konto) throws de.willuhn.util.ApplicationException
Liefert ein passendes Backend fuer den angegebenen Job. Das erste gefundene wird verwendet.

Parameters:
  `type` - der Job-Typ.
  `konto` - das Konto, fuer das der Job erzeugt werden soll.
Returns:
  die Instanz des Backend.
Throws:
  `de.willuhn.util.ApplicationException` - wenn kein Backend gefunden wurde.

### supports

public boolean supports(Class<? extends SynchronizeJob> type, Konto konto)
Liefert true, wenn ein Backend den angegebenen Job-Typ fuer das angegebene Konto unterstuetzt.

Parameters:
  `type` - der zu pruefende Job-Typ.
  `konto` - das Konto.
Returns:
  true, wenn es ihn unterstuetzt, sonst false.